fse.vo

## Class AccessPolicies

- java.lang.Object
- - fse.vo.AccessPolicies

-     public class AccessPolicies
      extends java.lang.Object

  Contiene le informazioni sulle politiche di lettura dei ruoli per tipo documento e per documento

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `patientCode`
    `private java.util.List<PuntualPolicy>` | `punctualPolicies`
    `private java.util.List<TypePolicy>` | `typePolicies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessPolicies()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPatientCode()` Resituisce il codice dell'assistito al cui fascicolo si riferiscono le politiche di accesso
    `java.util.List<PuntualPolicy>` | `getPunctualPolicies()` Restituisce la lista delle politiche di accesso puntuali sui documenti presenti nel fascicolo per ruolo
    `java.util.List<TypePolicy>` | `getTypePolicies()` Restituisce le politiche di accesso sui tipi di documento per ruolo
    `void` | `setPatientCode(java.lang.String patientCode)` Imposta il codice dell'assistito al cui fascicolo si riferiscono le politiche di accesso
    `void` | `setPunctualPolicies(java.util.List<PuntualPolicy> punctualPolicies)` Imposta le politiche di accesso puntali sui documenti presenti nel fascicolo per ruolo.
    `void` | `setTypePolicies(java.util.List<TypePolicy> typePolicies)` Imposta le politiche di accesso sui tipi di documento per ruolo.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typePolicies

          private java.util.List<TypePolicy> typePolicies

    - #### punctualPolicies

          private java.util.List<PuntualPolicy> punctualPolicies

    - #### patientCode

          private java.lang.String patientCode

  - ### Constructor Detail

    - #### AccessPolicies

          public AccessPolicies()

  - ### Method Detail

    - #### getPunctualPolicies

          public java.util.List<PuntualPolicy> getPunctualPolicies()

      Restituisce la lista delle politiche di accesso puntuali sui documenti presenti nel fascicolo per ruolo
      Returns:
        la lista delle politiche puntuali

    - #### setPunctualPolicies

          public void setPunctualPolicies(java.util.List<PuntualPolicy> punctualPolicies)

      Imposta le politiche di accesso puntali sui documenti presenti nel fascicolo per ruolo. Parametro obbligatorio.
      Parameters:
        `punctualPolicies` - le nuove politiche puntuali

    - #### getTypePolicies

          public java.util.List<TypePolicy> getTypePolicies()

      Restituisce le politiche di accesso sui tipi di documento per ruolo
      Returns:
        le politiche di accesso

    - #### setTypePolicies

          public void setTypePolicies(java.util.List<TypePolicy> typePolicies)

      Imposta le politiche di accesso sui tipi di documento per ruolo. Parametro obbligatorio.
      Parameters:
        `typePolicies` - le nuove politiche di accesso

    - #### getPatientCode

          public java.lang.String getPatientCode()

      Resituisce il codice dell'assistito al cui fascicolo si riferiscono le politiche di accesso
      Returns:
        il codice fiscale dell'assistito

    - #### setPatientCode

          public void setPatientCode(java.lang.String patientCode)

      Imposta il codice dell'assistito al cui fascicolo si riferiscono le politiche di accesso
      Parameters:
        `patientCode` - il nuovo codice fiscale dell'assistito